@charset "UTF-8";
@import url('http://fonts.googleapis.com/css?family=Lato:300,400,700');
@import url('https://fonts.googleapis.com/css2?family=Courgette&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
	background-image: linear-gradient(145deg, rgba(60, 83, 101, 0.7) 0%, rgba(212, 216, 219, 0.612) 100%),url(bg.jpg);
	background-size: 100%,50%;
	color: #fff;
    font-family: 'Lato', Arial, sans-serif;
}
h1 {
    padding-top: 50px;
	font-family: 'Courgette', cursive;
	font-size: 7vw;
	text-align: center;
}
button {
    outline: none;
}
a {
    text-decoration: none;
}
img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    vertical-align: bottom;
}

section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
	margin: 40px auto 120px;
	width: 90%;
}
section > a {
    min-width: 300px;
    color: rgb(255, 255, 255);
}
section figure {
	position: relative;
	overflow: hidden;
	margin: 10px;
	padding: 20px;
	width: 200px;
	height: 200px;
	border-bottom: solid 1px rgb(255, 250, 205,1);
	background: rgb(255, 255, 255, 0.3);
}
section figure img {
	position: relative;
	display: block;
	opacity: 0.7;
	transition: opacity 0.3s;
}
section figcaption {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 11;
	padding: 10px;
	width: 100%;
	height: 100%;
	text-align: center;
}
section figcaption h2 {
	margin: -7px 0 0 -10px;
    width: 240px;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 300;
	font-size: 130%;
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
}
section figcaption h2,
section figcaption p {
	-webkit-transform: translateY(50px);
	transform: translateY(50px);
}
section figure button {
	position: absolute;
	padding: 4px 20px;
	border: none;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: bold;
	-webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
	transition: opacity 0.3s, transform 0.3s;
}
section figcaption,
section figcaption h2,
section figcaption p,
section figure button {
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

/* Style for SVG */
section svg {
	position: absolute;
	top: -1px; /* fixes rendering issue in FF */
	left: 0;
	z-index: 10;
	width: 100%;
	height: 100%;
}

section svg path {
	fill: rgb(41, 43, 74);
}

/* Hover effects */
section a:hover figure img {
	opacity: 1;
}

section a:hover figcaption h2 {
	-webkit-transform: translateY(0);
	transform: translateY(0);
}

/* Individual styles */
section figcaption h2 {
	color: rgb(255, 255, 255);
}

section figure button {
	bottom: 10px;
	left: 0;
	padding: 15px 0;
	width: 240px;
	background: rgb(41, 43, 74);
    text-align: center;
	color: #fff;
	font-size: 13px;
	-webkit-transform: translateY(100%);
	transform: translateY(100%);
}

section a:hover figure button {
	-webkit-transition-timing-function: ease-out;
	transition-timing-function: ease-out;
	-webkit-transform: translateY(0);
	transform: translateY(0);
}
span {
    padding-left: 10px;
    font-size: 1vw;
}
footer {
    padding: 3px 0;
    text-align: center;
    font-size: 12px;
}